View Issue Details

IDProjectCategoryView StatusLast Update
0000494Pgpool-II[All Projects] Generalpublic2019-04-15 13:39
ReportervanAssigned Tot-ishii 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionopen 
Product Version 
Target VersionFixed in Version 
Summary0000494: While connection through ODBC , show pool_nodes from client is also going to backend nodes instead of getting excuted in pgpool
Description[pgpool version 4.0.2]
Client is connected through ODBC driver
While sending "show pool_nodes" from client ,query is going to backend node.


Is there any other way to list the node detail for particular session (other than checking the logs) ?

2019-04-09 11:51:11: pid 33: DEBUG: session context: setting query in progress. DONE
19130 2019-04-09 11:51:11: pid 33: DEBUG: decide where to send the query
19131 2019-04-09 11:51:11: pid 33: DETAIL: destination = 2 for query= "show pool_nodes;"
19132 2019-04-09 11:51:11: pid 33: DEBUG: checking load balance precondtions. TSTATE:I wrting_trancation:0 failed_transaction:0 isolation:2
19133 2019-04-09 11:51:11: pid 33: DETAIL: destination = 2 for query= "show pool_nodes;"
19134 2019-04-09 11:51:11: pid 33: DEBUG: session context: setting query in progress. DONE
19135 2019-04-09 11:51:11: pid 33: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:1 load_balance_node_id:1 PRIMARY_NODE_ID:0
19136 2019-04-09 11:51:11: pid 33: LOG: DB node id: 1 backend pid: 19397 statement: Parse: show pool_nodes;
19137 2019-04-09 11:51:11: pid 33: DEBUG: pool_write: to backend: 1 kind:P
19138 2019-04-09 11:51:11: pid 33: DEBUG: pool_flush_it: flush size: 39
19139 2019-04-09 11:51:11: pid 33: DEBUG: pool_write: to backend: 1 kind:H
19140 2019-04-09 11:51:11: pid 33: DEBUG: pool_flush_it: flush size: 5
19141 2019-04-09 11:51:11: pid 33: DEBUG: pool_send_and_wait: send flush message to 1
19142 2019-04-09 11:51:11: pid 33: DEBUG: pool_virtual_master_db_node_id: virtual_master_node_id:1 load_balance_node_id:1 PRIMARY_NODE_ID:0
19143 2019-04-09 11:51:11: pid 33: DEBUG: called by pool_add_sent_message: sent message: address: 0x1a41a98 kind: P name: =_PLAN0x1ecd2f0= sta te:0
19144 2019-04-09 11:51:11: pid 33: DEBUG: pool_pending_message_add: message type:Parse message len:34 query:show pool_nodes; statement:_PLAN0x 1ecd2f0 portal: node_ids[0]:1 node_ids[1]:-1


TagsNo tags attached.

Activities

t-ishii

2019-04-10 13:04

developer   ~0002542

"show pool_nodes;" command cannot be executed using extended query protocol. Please execute it using simple query protocol. I am not familiar with ODBC so I cannot suggest how to do it with ODBC, but I guess there should be a way to do that.

van

2019-04-11 15:50

reporter   ~0002544

Hi ,
Thanks for clarifying.
I will check the way to send this query without extended query protocol.

t-ishii

2019-04-15 13:39

developer   ~0002549

I am going to mark this issue as "resolved".

Issue History

Date Modified Username Field Change
2019-04-09 21:18 van New Issue
2019-04-10 13:01 t-ishii Assigned To => t-ishii
2019-04-10 13:01 t-ishii Status new => assigned
2019-04-10 13:04 t-ishii Note Added: 0002542
2019-04-10 13:04 t-ishii Status assigned => feedback
2019-04-11 15:50 van Note Added: 0002544
2019-04-11 15:50 van Status feedback => assigned
2019-04-15 13:39 t-ishii Note Added: 0002549
2019-04-15 13:39 t-ishii Status assigned => resolved